<?php
/**
 * Ce fichier contient l'ensemble des constantes et fonctions implémentant le service M49.
 *
 * @package SPIP\ISOCODE\SERVICES\M49
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


$GLOBALS['isocode']['m49'] = array(
	'm49regions' => array(
		'groupe'        => 'geographie',
		'basic_fields'  => array(
			'code_num' => 'code_num',
			'parent'   => 'parent',
			'category' => 'category',
			'label_fr' => 'label_fr',
			'label_en' => 'label_en',
			'label_es' => 'label_es',
			'label_ru' => 'label_ru',
			'label_zh' => 'label_zh',
			'label_ar' => 'label_ar',
		),
		'depth_field'   => array(
			'name'         => 'depth',
			'base_value'   => 0,
			'parent_field' => 'parent',
			'parent_value' => 'code_num',
		),
		'unused_fields' => array(
			'label_fr' => '',
			'label_en' => '',
			'label_es' => '',
			'label_ru' => '',
			'label_zh' => '',
			'label_ar' => '',
		),
		'label_field'   => true,
		'populating'    => 'file_csv',
		'delimiter'     => ';',
		'extension'     => '.csv',
	)
);

// ----------------------------------------------------------------------------
// ---------------- API du service M49 - Actions principales ----------------
// ----------------------------------------------------------------------------
